import { ElementRef } from '@angular/core';
import type { OnDestroy, OnInit } from '@angular/core';
import { PopoverDirective } from 'ngx-bootstrap/popover';
import { TourAnchorDirective, TourBackdropService } from 'ngx-ui-tour-core';
import { INgxbStepOption as IStepOption } from './step-option.interface';
import { NgxbTourService } from './ngx-bootstrap-tour.service';
import { TourStepTemplateService } from './tour-step-template.service';
export declare class TourAnchorNgxBootstrapPopoverDirective extends PopoverDirective {
}
export declare class TourAnchorNgxBootstrapDirective implements OnInit, OnDestroy, TourAnchorDirective {
    private tourService;
    private tourStepTemplate;
    private element;
    private popoverDirective;
    private tourBackdrop;
    tourAnchor: string;
    isActive: boolean;
    constructor(tourService: NgxbTourService, tourStepTemplate: TourStepTemplateService, element: ElementRef, popoverDirective: TourAnchorNgxBootstrapPopoverDirective, tourBackdrop: TourBackdropService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: IStepOption): void;
    hideTourStep(): void;
}
