import { ModuleWithProviders } from '@angular/core';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { TourAnchorNgxBootstrapDirective, TourAnchorNgxBootstrapPopoverDirective } from './tour-anchor.directive';
import { TourStepTemplateComponent } from './tour-step-template.component';
import { NgxbTourService } from './ngx-bootstrap-tour.service';
export { TourAnchorNgxBootstrapDirective, TourAnchorNgxBootstrapPopoverDirective, TourStepTemplateComponent, NgxbTourService };
export declare const popoverForRoot: ModuleWithProviders<PopoverModule>;
export declare class TourNgxBootstrapModule {
    static forRoot(): ModuleWithProviders<TourNgxBootstrapModule>;
}
